#ifdef QDOS
#ifndef QLSTUFF_H
#define QLSTUFF_H
#include <stdlib.h>
#include <sys/stat.h>
#include <fcntl.h>
# ifndef DONT_FAKE_IT
#  ifdef open
#   undef open
#  endif
#  ifdef stat
#   undef stat
#  endif
#  ifdef unlink
#   undef unlink
#  endif
#  define fopen(p1,p2)   ql_fopen(p1,p2)
#  define open(p1,p2,p3) ql_open(p1,p2,p3)
#  define access(p1,p2)  ql_access(p1,p2)
#  define stat(p1,p2)    ql_stat(p1,p2)
#  define unlink(p1)     ql_unlink(p1)
#  define remove(p1)     ql_unlink(p1)
#  define rename(p1,p2)  ql_rename(p1,p2)
   FILE *ql_fopen(char *, char *);
   int ql_access(char *, int);
   int ql_open(char *, int,...);
   int ql_stat(char *, struct stat *);
   int ql_unlink(char *);
   int ql_rename(char *, char *);
# endif
#endif
#endif






