#ifndef G3_ENCODER_H
#define G3_ENCODER_H

#define K_CONST_H	3
#define K_CONST_L	1
#define MAXFAXLINELEN   312
#define OUTBUFSIZE	(8*1024)

typedef unsigned short uword;
typedef unsigned char UCHAR;

typedef struct
{
    long  bitnr;
    uword bytenr;
    uword scan;
    uword cnt_2d;
    short b1;
    short b2;
    short lce_col;
    short cnt_ref;
    UCHAR refline[MAXFAXLINELEN];
    UCHAR outbuf[OUTBUFSIZE];
    UCHAR *outptr;
    short res;
    short pack;
    short line_2d;
    short pix;
    int hd;
    int maxlines;
    UCHAR mbits[8];
    short lsb;
    short gflag;
} CODERSTATE;

extern int FaxFlushBuf(short);
extern void FaxCloseFile (void);
extern void FaxBeginPage (void);
extern int FaxCodeLine (UCHAR *);
extern void FaxCodeEOP (void);
extern CODERSTATE * FaxInitCoder (short);
extern int FaxOpenFile(char *, short, short, short);
extern void FaxFreeCoder(CODERSTATE *);
extern void FaxHeader (short, short, short, char *, long);
extern int FaxCodeAlign (UCHAR *);

#endif

